Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# gtk/layout.hh File Reference

A GtkLayout C++ wrapper interface. More...

`#include <xfc/gtk/container.hh>`
`#include <gtk/gtklayout.h>`
`#include <xfc/gtk/inline/layout.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Layout
    A GtkLayout C++ wrapper class. More...

## Detailed Description

A GtkLayout C++ wrapper interface.

Provides Layout, a widget similar to DrawingArea in that it's a "blank slate" and doesn't do anything but paint a blank background by default. It's different in that it supports scrolling natively (you can add it to a ScrolledWindow), and it can contain child widgets, since it's a Container.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3